# -*- coding: utf-8 -*-
"""
    Implementation of U-boot Awareness gdb commands

Copyright 2024 NXP
SPDX-License-Identifier: BSD-3-Clause

"""

import os
import sys

RCON_EXT_INSTALL_DIR = ''.join([os.path.dirname(os.path.realpath(__file__)), '/../'])
GDB_EXT_INSTALL_DIR =''.join([RCON_EXT_INSTALL_DIR, '../'])

#add gdb_extensions to system path
sys.path.insert(0, GDB_EXT_INSTALL_DIR)

#from rcon.gdbcommands import init_command
from rcon.gdbcommands import write_command
from rcon.gdbcommands import read_command
from rcon.gdbcommands import help_command


def create_commands(RCONfilePath):
    """
        Instantiate all supported RCON programmer commands
    """
    #init_command.create_command(RCONfilePath)
    write_command.create_command(RCONfilePath)
    read_command.create_command(RCONfilePath)
    help_command.create_command(RCONfilePath)

